﻿using Android.App;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;
using Android.Views;
using Android.Graphics;
using System;
using Android.Content;
using Android.Text;
using System.Threading.Tasks;
using System.Net.Http;
using Android.Text.Method;

namespace GettingStarted
{
	[Activity (Label = "GettingStarted", MainLauncher = true, Icon = "@drawable/icon")]
	public class MainActivity : Activity
	{
		SfDataGrid sfGrid;
        ViewModel viewModel;
        protected override void OnCreate (Bundle bundle)
		{
			base.OnCreate (bundle);
            SetContentView(Resource.Layout.Main);
            sfGrid = FindViewById<SfDataGrid>(Resource.Id.sfDataGrid);
            viewModel = new ViewModel();
			sfGrid = new SfDataGrid (this);
            sfGrid.AutoGenerateColumns = true;
            //sfGrid.AllowEditing = true;
            sfGrid.AllowSorting = true;
            sfGrid.ItemsSource = viewModel.OrdersInfo;
            sfGrid.ColumnSizer = ColumnSizer.Star;
            SetContentView(sfGrid);
        }
    }
}


