﻿using System;
using System.ComponentModel;

namespace GettingStarted
{
	public class OrderInfo : INotifyPropertyChanged
	{
		public OrderInfo ()
		{
		}

		#region private variables

		private int _orderID;
		private int _employeeID;
		private int _customerID;
		private bool _isClosed;
		private string _firstname;
		private string _lastname;
		private string _gender;
        private string _shipCity;
        private string _shipCountry;
        private string _freight;

        private int _orderID1;
        private int _employeeID1;
        private int _customerID1;
        private bool _isClosed1;
        private string _firstname1;
        private string _lastname1;
        private string _gender1;
        private string _shipCity1;
        private string _shipCountry1;
        private string _freight1;

        #endregion

        #region Public Properties

        public int OrderID {
			get { return _orderID; }
			set { 
				this._orderID = value; 
				RaisePropertyChanged ("OrderID"); 
			}
		}

		public int EmployeeID {
			get { return _employeeID; }
			set { 
				this._employeeID = value;
				RaisePropertyChanged ("EmployeeID");
			}
		}

		public int CustomerID {
			get { return _customerID; }
			set {
				this._customerID = value;
				RaisePropertyChanged ("CustomerID");
			}
		}

		public bool IsClosed {
			get { return _isClosed; }
			set {
				this._isClosed = value;
				RaisePropertyChanged ("IsClosed");
			}
		}

		public string FirstName {
			get { return _firstname; }
			set { 
				this._firstname = value;
				RaisePropertyChanged ("FirstName");
			}
		}

		public string LastName {
			get { return _lastname; }
			set { 
				this._lastname = value;
				RaisePropertyChanged ("LastName");
			}
		}

		public string Gender {
			get { return _gender; }
			set { 
				this._gender = value;
				RaisePropertyChanged ("Gender");
			}
		}

        public string ShipCity {
            get { return _shipCity; }
            set { 
                this._shipCity = value;
                RaisePropertyChanged ("ShipCity");
            }
        }

        public string ShipCountry {
            get { return _shipCountry; }
            set { 
                this._shipCountry = value;
                RaisePropertyChanged ("ShipCountry");
            }
        }

        public string Freight {
            get { return _freight; }
            set {
                this._freight = value;
                RaisePropertyChanged ("Freight"); 
            }
        }

        public int OrderID1
        {
            get { return _orderID1; }
            set
            {
                this._orderID1 = value;
                RaisePropertyChanged("OrderID1");
            }
        }

        public int EmployeeID1
        {
            get { return _employeeID1; }
            set
            {
                this._employeeID1 = value;
                RaisePropertyChanged("EmployeeID1");
            }
        }

        public int CustomerID1
        {
            get { return _customerID1; }
            set
            {
                this._customerID1 = value;
                RaisePropertyChanged("CustomerID1");
            }
        }

        public bool IsClosed1
        {
            get { return _isClosed1; }
            set
            {
                this._isClosed1 = value;
                RaisePropertyChanged("IsClosed1");
            }
        }

        public string FirstName1
        {
            get { return _firstname1; }
            set
            {
                this._firstname1 = value;
                RaisePropertyChanged("FirstName1");
            }
        }

        public string LastName1
        {
            get { return _lastname1; }
            set
            {
                this._lastname1 = value;
                RaisePropertyChanged("LastName1");
            }
        }

        public string Gender1
        {
            get { return _gender1; }
            set
            {
                this._gender1 = value;
                RaisePropertyChanged("Gender1");
            }
        }

        public string ShipCity1
        {
            get { return _shipCity1; }
            set
            {
                this._shipCity1 = value;
                RaisePropertyChanged("ShipCity1");
            }
        }

        public string ShipCountry1
        {
            get { return _shipCountry1; }
            set
            {
                this._shipCountry1 = value;
                RaisePropertyChanged("ShipCountry1");
            }
        }

        public string Freight1
        {
            get { return _freight1; }
            set
            {
                this._freight1 = value;
                RaisePropertyChanged("Freight1");
            }
        }

        #endregion

        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

		private void RaisePropertyChanged (String Name)
		{
			if (PropertyChanged != null)
				this.PropertyChanged (this, new PropertyChangedEventArgs (Name));
		}

		#endregion
	}
}

